org.apache.solr.core

## Class ConfigSetService.Default

- java.lang.Object
- - org.apache.solr.core.ConfigSetService
  - - org.apache.solr.core.ConfigSetService.Default

- Direct Known Subclasses:
    ConfigSetService.SchemaCaching
  Enclosing class:
    ConfigSetService

      public static class ConfigSetService.Default
      extends ConfigSetService

  The default ConfigSetService. Loads a ConfigSet defined by the core's configSet property, looking for a directory named for the configSet property value underneath a base directory. If no configSet property is set, loads the ConfigSet instead from the core's instance directory.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.ConfigSetService

      `ConfigSetService.Default, ConfigSetService.SchemaCaching`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.core.ConfigSetService

      `parentLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default(SolrResourceLoader loader, Path configSetBase)` Create a new ConfigSetService.Default

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `configName(CoreDescriptor cd)` Return a name for the ConfigSet for a core
    `SolrResourceLoader` | `createCoreResourceLoader(CoreDescriptor cd)` Create a SolrResourceLoader for a core
    `protected Path` | `locateInstanceDir(CoreDescriptor cd)`

    - ### Methods inherited from class org.apache.solr.core.ConfigSetService

      `createConfigSetProperties, createConfigSetService, createIndexSchema, createSolrConfig, getConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default(SolrResourceLoader loader,
                         Path configSetBase)

      Create a new ConfigSetService.Default
      Parameters:
        `loader` - the CoreContainer's resource loader
        `configSetBase` - the base directory under which to look for config set directories

  - ### Method Detail

    - #### createCoreResourceLoader

          public SolrResourceLoader createCoreResourceLoader(CoreDescriptor cd)

      Description copied from class: `ConfigSetService`
      Create a SolrResourceLoader for a core
      Specified by:
        `createCoreResourceLoader` in class `ConfigSetService`
      Parameters:
        `cd` - the core's CoreDescriptor
      Returns:
        a SolrResourceLoader

    - #### configName

          public String configName(CoreDescriptor cd)

      Description copied from class: `ConfigSetService`
      Return a name for the ConfigSet for a core
      Specified by:
        `configName` in class `ConfigSetService`
      Parameters:
        `cd` - the core's CoreDescriptor
      Returns:
        a name for the core's ConfigSet

    - #### locateInstanceDir

          protected Path locateInstanceDir(CoreDescriptor cd)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.